Subject: [PATCH 00/10] hwspinlock-next

From: [email-masked] (Tony Lindgren)
Date: Wed, 21 Sep 2011 08:28:13 -0700

* Arnd Bergmann <[email-masked]> [110921 06:39]:
> On Wednesday 21 September 2011, Tony Lindgren wrote:
> > * Ohad Ben-Cohen <[email-masked]> [110920 01:34]:
> > > On Mon, Sep 12, 2011 at 7:46 PM, Ohad Ben-Cohen <[email-masked]> wrote:
> > > 
> > > I'm wondering how hwspinlock updates like this should go upstream.
> > > 
> > > The first hwspinlock batch was picked by Tony, because it involved a
> > > bulk of OMAP changes.
> > > 
> > > Hwspinlock isn't OMAP-specific anymore though (we gained support for
> > > STE's u8500) and the vast majority of changes are in drivers/. We're
> > > still very much ARM-related, though this may change too at some point
> > > (c6x has a similar "hardware semaphore" peripheral like the u8500
> > > does).
> > > 
> > > Tony, if you're still willing to pick up these updates I'd be happy to
> > > send you pull requests of course.
> > 
> > I'd prefer for Greg to take these as these are drivers.
> > 
> > If he's not taking it at this point based on it being ARM only,
> > I can take it then.
> 
> Sorry for replying late, I had accidentally ignored the entire thread.
> 
> My feeling is that it would be best for Ohad to send these directly
> to Linus, since it's basically a standalone subsystem and he's listed
> as the maintainer (well, after this series at least).

Ohad can you please try this first? Just please make sure your patches are
first in next tree before sending in the pull request.
 
> I'm also fine with any of the other paths like
> 
> ohad->GregKH->torvalds

Greg does not prefer that as it's ARM only currently.

> ohad->arnd->torvalds
> ohad->tmlind->torvalds
> ohad->tmlind->arnd->torvalds

So as a backup plan any of these are also fine with me too.

Tony